# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.inline_response2002_array_of_partials import InlineResponse2002ArrayOfPartials  # noqa: F401,E501
from swagger_server import util


class InlineResponse2002(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, array_of_partials: List[InlineResponse2002ArrayOfPartials]=None):  # noqa: E501
        """InlineResponse2002 - a model defined in Swagger

        :param array_of_partials: The array_of_partials of this InlineResponse2002.  # noqa: E501
        :type array_of_partials: List[InlineResponse2002ArrayOfPartials]
        """
        self.swagger_types = {
            'array_of_partials': List[InlineResponse2002ArrayOfPartials]
        }

        self.attribute_map = {
            'array_of_partials': 'ArrayOfPartials'
        }
        self._array_of_partials = array_of_partials

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2002':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_2 of this InlineResponse2002.  # noqa: E501
        :rtype: InlineResponse2002
        """
        return util.deserialize_model(dikt, cls)

    @property
    def array_of_partials(self) -> List[InlineResponse2002ArrayOfPartials]:
        """Gets the array_of_partials of this InlineResponse2002.


        :return: The array_of_partials of this InlineResponse2002.
        :rtype: List[InlineResponse2002ArrayOfPartials]
        """
        return self._array_of_partials

    @array_of_partials.setter
    def array_of_partials(self, array_of_partials: List[InlineResponse2002ArrayOfPartials]):
        """Sets the array_of_partials of this InlineResponse2002.


        :param array_of_partials: The array_of_partials of this InlineResponse2002.
        :type array_of_partials: List[InlineResponse2002ArrayOfPartials]
        """

        self._array_of_partials = array_of_partials
